.\ X Multiplexer, June 1998, Dheerendra Talur, dtalu0@sac.uky.edu
.\ Freely distributable and modifiable.
.TH xm 1 "June 1998"
.UC 6
.SH NAME
xm \- X multiplexer; multiplex X client windows on multiple X servers

.SH SYNOPSIS
xm [-dl] X servers

.SH DESCRIPTION
.PP
The X multiplexer displays windows created by X clients on multiple X 
servers at the same time.  The multiplexer sits between clients and 
servers and intercepts and changes X protocol messages exchanged.

All windows created by the client are displayed on all servers.
However, input from only one of the servers (called the master server) is 
given to the client.  Input from all other servers (called the slave servers)
are ignored.  The multiplexer sits between clients and servers and intercepts
and changes X protocol messages exchanged.

The order in which the servers are specified at the time of invocation
determines the master and the slave servers.
The first server specified is the master and the other servers are slaves.

When the multiplexer is able to bind to a TCP port,
it prints the port number on which it is listening.  The DISPLAY environment
variable of the client must be suitably changed to reflect the host on which
the multiplexer is running and the port number on which the multiplexer is
listening.  The X connection request from the client is then handled by the
multiplexer.  Any number of clients can connect to the multiplexer 
concurrently.  At present, the multiplexer does not authenticate any clients.

For example, if the multiplexer is running on host \fButher.cs.uky.edu\fR and 
listening on port \fB6004\fR, the \fBDISPLAY\fR variable for a client running 
on host \fBphlox.cs.uky.edu\fR would be \fButher.cs.uky.edu:4.0\fR

.SS OPTIONS
.TP
.I "\-d"
Print debug information on the screen.
.TP
.I "\-l"
Log debug information and all messages exchanged to a file.

.SH AUTHOR
Dheerendra Talur, University of Kentucky
.SH BUGS
Please send bug reports to dtalu0@sac.uky.edu
